Bug 1107618 - (CVE-2018-16641) VUL-1: CVE-2018-16641: GraphicsMagick,ImageMagick: memory leak vulnerability in theTIFFWritePhotoshopLayers function in coders/tiff.c
(CVE-2018-16641)
VUL-1: CVE-2018-16641: GraphicsMagick,ImageMagick: memory leak vulnerability ...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/213897/
CVSSv3:SUSE:CVE-2018-16641:3.3:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-07 07:50 UTC by Karol Babioch
Modified: 2021-10-04 16:41 UTC (History)
1 user (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Karol Babioch 2018-09-07 07:50:25 UTC
CVE-2018-16641

ImageMagick 7.0.8-6 has a memory leak vulnerability in the
TIFFWritePhotoshopLayers function in coders/tiff.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2018-16641
https://github.com/ImageMagick/ImageMagick/issues/1206
https://github.com/ImageMagick/ImageMagick/commit/256825d4eb33dc301496710d15cf5a7ae924088b
Comment 1 Karol Babioch 2018-09-07 09:29:47 UTC
By having a look at the code, it appears to me that only SUSE:SLE-15:Update/ImageMagick contains the vulnerable code.
Comment 2 Petr Gajdos 2018-09-11 06:25:03 UTC
Karol, thanks for analysis. I also looked at newer versions of GraphicsMagick, the code is not there as well.
Comment 3 Petr Gajdos 2018-09-11 06:25:15 UTC
No testcase found.
Comment 4 Petr Gajdos 2018-09-11 07:04:51 UTC
Will submit for 15/ImageMagick.
Comment 5 Petr Gajdos 2018-09-11 12:37:54 UTC
I believe all fixed.
Comment 7 Swamp Workflow Management 2018-10-02 19:15:16 UTC
SUSE-SU-2018:2977-1: An update that fixes 10 vulnerabilities is now available.

Category: security (low)
Bug References: 1106855,1106857,1106858,1106989,1107604,1107609,1107612,1107616,1107618,1107619
CVE References: CVE-2018-16323,CVE-2018-16328,CVE-2018-16329,CVE-2018-16413,CVE-2018-16640,CVE-2018-16641,CVE-2018-16642,CVE-2018-16643,CVE-2018-16644,CVE-2018-16645
Sources used:
SUSE Linux Enterprise Module for Development Tools 15 (src):    ImageMagick-7.0.7.34-3.24.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    ImageMagick-7.0.7.34-3.24.1
Comment 8 Swamp Workflow Management 2018-10-05 10:10:48 UTC
openSUSE-SU-2018:3014-1: An update that fixes 10 vulnerabilities is now available.

Category: security (low)
Bug References: 1106855,1106857,1106858,1106989,1107604,1107609,1107612,1107616,1107618,1107619
CVE References: CVE-2018-16323,CVE-2018-16328,CVE-2018-16329,CVE-2018-16413,CVE-2018-16640,CVE-2018-16641,CVE-2018-16642,CVE-2018-16643,CVE-2018-16644,CVE-2018-16645
Sources used:
openSUSE Leap 15.0 (src):    ImageMagick-7.0.7.34-lp150.2.15.1
Comment 9 Marcus Meissner 2019-01-14 10:28:39 UTC
done
Comment 10 OBSbugzilla Bot 2021-10-04 16:41:48 UTC
This is an autogenerated message for OBS integration:
This bug (1107618) was mentioned in
https://build.opensuse.org/request/show/923064 Factory / ImageMagick